﻿'EX31_Bar_Code
'
'SJJ Embedded Micro Solutions
'www.sjjmicro.com / www.seanliming.com
'Copyright (c) 2006-2011 SJJ Embedded Micro Solutions    All Rights Reserved
'
'Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
'liability for direct or indirect consequences arising from the use of this source code. The authors
'and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
'liability for direct or indirect damages of any kind arising from the use of this source code.
'
'The author resrves the right to make changes in this source code without notice and without
'incurring any liability.
'



Imports Microsoft.PointOfService
Imports System.Text

Public Class Form1

    WithEvents myExplorer As PosExplorer
    WithEvents myScanner As Scanner



    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        myExplorer = New PosExplorer(Me)
        'Dim device As DeviceInfo = myExplorer.GetDevice("Scanner")
        Dim device As DeviceInfo = myExplorer.GetDevice("Scanner", "myScanner")

        If device Is Nothing Then
            lstItems.Items.Add("Scanner not found")

        Else
            myScanner = myExplorer.CreateInstance(device)

            myScanner.Open()
            myScanner.Claim(1000)
            myScanner.DeviceEnabled = True
            myScanner.DataEventEnabled = True
            myScanner.DecodeData = True

        End If





    End Sub

    Private Sub myExplorer_DeviceAddedEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DeviceChangedEventArgs) Handles myExplorer.DeviceAddedEvent
        If (e.Device.Type = "Scanner") Then
            myScanner = myExplorer.CreateInstance(e.Device)
            myScanner.Open()
            myScanner.Claim(1000)
            myScanner.DeviceEnabled = True
            myScanner.DataEventEnabled = True
            myScanner.DecodeData = True

            lstItems.Items.Add("Scanner attached")

        End If





    End Sub

    Private Sub myExplorer_DeviceRemovedEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DeviceChangedEventArgs) Handles myExplorer.DeviceRemovedEvent
        If (e.Device.Type = "Scanner") Then
            myScanner.DataEventEnabled = False
            myScanner.DeviceEnabled = False
            myScanner.Release()
            myScanner.Close()
            lstItems.Items.Add("Scanner removed")
        End If

    End Sub

    Private Sub myScanner_DataEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DataEventArgs) Handles myScanner.DataEvent

        Dim myEncoding As New ASCIIEncoding
        lstItems.Items.Add(myEncoding.GetString(myScanner.ScanDataLabel))
        myScanner.DataEventEnabled = True


    End Sub
End Class
