﻿'EX4_POSDEVICES
'
'SJJ Embedded Micro Solutions
'www.sjjmicro.com / www.seanliming.com
'Copyright (c) 2006-2011 SJJ Embedded Micro Solutions    All Rights Reserved
'
'Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
'liability for direct or indirect consequences arising from the use of this source code. The authors
'and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
'liability for direct or indirect damages of any kind arising from the use of this source code.
'
'The author resrves the right to make changes in this source code without notice and without
'incurring any liability.
'
Imports System
Imports System.Text
Imports System.Management
Imports EX43_POSDEVICES.ROOT.MICROSOFTPOINTOFSERVICE

Public Class Form1

    Private Sub btnGetPOSDevices_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetPOSDevices.Click

        Dim scope As ManagementScope = New ManagementScope("root\microsoftpointofservice")
        scope.Connect()
        Dim devices As POSDevice.POSDeviceCollection = POSDevice.GetInstances(scope, "")
        Dim POSDType As String
        Dim POSSoName As String
        Dim finalString As String
        Dim enabled As String = "N"

        lstPOSDevices.Items.Clear()

        If (devices.Count > 0) Then

            For Each d As POSDevice In devices
                enabled = "N"
                If d.Enabled = True Then
                    enabled = "Y"
                End If
                'Take care of some string formatting by padding
                POSDType = d.Type.ToString
                POSSoName = d.SoName.ToString

                finalString = POSDType.PadRight(15) & ControlChars.Tab & POSSoName.PadRight(40) & ControlChars.Tab & enabled.ToString & ControlChars.Tab & d.Path.ToString

                lstPOSDevices.Items.Add(finalString)
            Next
        End If
    End Sub
End Class
