﻿//CashDrawerSOTest_CS
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2011 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.PointOfService;

namespace CashDrawerSOTest_CS
{
    public partial class Form1 : Form
    {
        private PosExplorer myExplorer;
        private CashDrawer myCashDrawer;
        
        
        public Form1()
        {
            InitializeComponent();
            myExplorer = new PosExplorer(this);
            DeviceInfo device = myExplorer.GetDevice("CashDrawer", "WASPCD");
            myCashDrawer = (CashDrawer)myExplorer.CreateInstance(device);            
        }

        private void btnOpenCashDrawer_Click(object sender, EventArgs e)
        {
            myCashDrawer.Open();
            myCashDrawer.Claim(1000);
            myCashDrawer.DeviceEnabled = true;
            myCashDrawer.OpenDrawer();
            myCashDrawer.Release();
            myCashDrawer.Close();
        }
    }
}
