﻿'ScaleTest
'
'SJJ Embedded Micro Solutions
'www.sjjmicro.com / www.seanliming.com
'Copyright (c) 2006-2011 SJJ Embedded Micro Solutions    All Rights Reserved
'
'Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
'liability for direct or indirect consequences arising from the use of this source code. The authors
'and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
'liability for direct or indirect damages of any kind arising from the use of this source code.
'
'The author resrves the right to make changes in this source code without notice and without
'incurring any liability.
'
Imports System
Imports System.Text
Imports System.Threading
Imports System.IO.Ports

Public Class Form1
    Private sPort As SerialPort = New SerialPort("COM1", 9600, Parity.Even, 7, StopBits.One)

    Private Sub btnGetWeight_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetWeight.Click

        Dim theWeight(15) As Char

        sPort.Open()

        sPort.Write("W" & Chr(13))
        Thread.Sleep(1000)

        Try
            theWeight = sPort.ReadTo(Chr(3)).ToCharArray() 'Read to the end of line ETX and cover to the array
        Catch ex As Exception
            ttStatus.Text = "Scale Error"
        End Try


        If (theWeight(1) & theWeight(2) & theWeight(3)) = "S10" Then
            ttStatus.Text = "Scale in motion"

        ElseIf (theWeight(1) & theWeight(2) & theWeight(3)) = "S11" Then
            ttStatus.Text = "Scale Over Capacity"

        Else

            'If there are no errors than display weight
            lstitems.Items.Add(theWeight(1) & theWeight(2) & theWeight(3) & theWeight(4) & theWeight(5) & theWeight(6) & theWeight(7) & theWeight(8))
        End If

        sPort.Close()

    End Sub

    Private Sub btnZero_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnZero.Click
        Dim theZeroStatus(6) As Char

        sPort.Open()

        sPort.Write("Z" & Chr(13))
        Thread.Sleep(1000)

        Try
            theZeroStatus = sPort.ReadTo(Chr(3)).ToCharArray()
        Catch ex As Exception
            ttStatus.Text = "Scale Error"
        End Try


        If (theZeroStatus(1) & theZeroStatus(2) & theZeroStatus(3)) = "S10" Then
            ttStatus.Text = "Scale in motion"

        ElseIf (theZeroStatus(1) & theZeroStatus(2) & theZeroStatus(3)) = "S20" Then

            ttStatus.Text = "Scale at Zero"

        End If
        sPort.Close()


    End Sub

    Private Sub btnStatus_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStatus.Click
        Dim theStatus(6) As Char

        sPort.Open()

        sPort.Write("S" & Chr(13))
        Thread.Sleep(1000)

        Try
            theStatus = sPort.ReadTo(Chr(3)).ToCharArray()
        Catch ex As Exception
            ttStatus.Text = "Scale Error"
        End Try


        If (theStatus(1) & theStatus(2) & theStatus(3)) = "S10" Then
            ttStatus.Text = "Scale in motion"

        ElseIf (theStatus(1) & theStatus(2) & theStatus(3)) = "S20" Then

            ttStatus.Text = "Scale at Zero and Stable"

        ElseIf (theStatus(1) & theStatus(2) & theStatus(3)) = "S00" Then

            ttStatus.Text = "Scale Not at Zero and Stable"

        End If

        sPort.Close()

    End Sub
End Class
