﻿'Multiform_MSR
'
'SJJ Embedded Micro Solutions
'www.sjjmicro.com / www.seanliming.com
'Copyright (c) 2006-2011 SJJ Embedded Micro Solutions    All Rights Reserved
'
'Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
'liability for direct or indirect consequences arising from the use of this source code. The authors
'and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
'liability for direct or indirect damages of any kind arising from the use of this source code.
'
'The author resrves the right to make changes in this source code without notice and without
'incurring any liability.
'

Imports System.Text
Imports Microsoft.PointOfService
Imports System.Windows.Threading

Public Class frmMain
    WithEvents myExplorer As PosExplorer
    WithEvents myMsr As Msr

    Public myForm As New frmMSRData
    Private Sub btnFormLaunch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFormLaunch.Click

        myForm.Show() 'msr Data will not be passed to form



    End Sub

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        myExplorer = New PosExplorer(Me)
        Dim device As DeviceInfo = myExplorer.GetDevice("Msr", "myMSR")

        If device Is Nothing Then
            ttStatus.Text = "Msr Not Found"
        Else

            myMsr = myExplorer.CreateInstance(device)
            myMsr.Open()
            myMsr.Claim(1000)
            myMsr.DeviceEnabled = True
            myMsr.DataEventEnabled = True
            myMsr.DecodeData = True
        End If

    End Sub

    Private Sub myExplorer_DeviceAddedEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DeviceChangedEventArgs) Handles myExplorer.DeviceAddedEvent
        If (e.Device.Type = "Msr") Then
            myMsr = myExplorer.CreateInstance(e.Device)
            ttStatus.Text = "New Msr attached"
            myMsr.Open()
            myMsr.Claim(1000)
            myMsr.DeviceEnabled = True
            myMsr.DataEventEnabled = True
            myMsr.DecodeData = True
            Update()
        End If
    End Sub

    Private Sub myExplorer_DeviceRemovedEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DeviceChangedEventArgs) Handles myExplorer.DeviceRemovedEvent
        If (e.Device.Type = "Msr") Then
            myMsr.DataEventEnabled = False
            myMsr.DeviceEnabled = False
            myMsr.Release()
            myMsr.Close()
            ttStatus.Text = "Msr removed"
        End If
    End Sub

    Private Sub myMsr_DataEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DataEventArgs) Handles myMsr.DataEvent
        Dim myEncoding As New ASCIIEncoding
        Dim msrData As String = myEncoding.GetString(myMsr.Track2Data)

        myForm.txtData.Text = msrData

        myMsr.DataEventEnabled = True
    End Sub
End Class
