﻿//EX43_POSDEVICES_CS
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2011 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Management;
using EX43_POSDEVICES_CS.ROOT.MICROSOFTPOINTOFSERVICE;

namespace EX43_POSDEVICES_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGetPOSDevices_Click(object sender, EventArgs e)
        {

            ManagementScope scope = new ManagementScope("root\\microsoftpointofservice");
            scope.Connect();
            POSDevice.POSDeviceCollection devices = POSDevice.GetInstances(scope,"");

            String POSDType;
            String POSSoName;
            String finalString;
            String enabled = "N";
            
            lstPOSDevices.Items.Clear();

            if(devices.Count > 0)
            {

                foreach(POSDevice d in devices)
                {
                    enabled = "N";
                    if(d.Enabled == true)
                    {
                        enabled = "Y";
                    }
                    //Take care of some string formatting by padding
                    POSDType = d.Type.ToString();
                    POSSoName = d.SoName.ToString();

                    finalString = POSDType.PadRight(15)  + (char)Keys.Tab + POSSoName.PadRight(40) + (char)Keys.Tab + enabled.ToString() + (char)Keys.Tab + d.Path.ToString();

                    lstPOSDevices.Items.Add(finalString);
                }                
            }
        }
    }
}
